package com.ycwl.basic.device.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum DeviceStoreTypeEnum {
    ALI_OSS(1, "阿里云OSS"),
    WVP_ACTIVE(3, "WVP主动模式"),
    WVP_PASSIVE(4, "WVP被动模式"),
    VPT_PASSIVE(5, "VPT被动模式"),
    AWS_OSS(6, "S3 OSS"),
    LOCAL(2, "本地文件");

    private final int type;
    private final String remark;

    public static DeviceStoreTypeEnum getByType(int type) {
        for (DeviceStoreTypeEnum e : values()) {
            if (e.type == type) {
                return e;
            }
        }
        return null;
    }
}
